(function() {
  (function($) {
    $.fn.alert = function() {
      return this.each(function() {
        var self;
        self = $(this);
        self.on('click', '.close-button', function(e) {
          e.preventDefault();
          self.addClass('close');
        });
        self.on('transitionEnd webkitTransitionEnd oTransitionEnd', function() {
          self.remove();
        });
      });
    };
  })(jQuery);

}).call(this);
